> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api-docs.papertracc.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api-docs.papertracc.com/_mcp/server.

# Get Payables

GET https://api.papertracc.com/v1/payments/payables?limit=20

Returns payable bills grouped by vendor.

Requires the `can_view_payment` permission on the key owner's role.

**Keys:** secret key only.

Reference: https://api-docs.papertracc.com/core/payments/get-payables

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.
- `identity` header (required) — The identity for the active workspace.

## Servers

- `https://api.papertracc.com/v1` (Production, default)
- `https://api.papertracc.com/rc-1` (Release Candidate 1)

## Request

### Query parameters

- `limit` (integer, optional) — Optional. Number of vendor groups to return.

## Response

### 200

OK

- `data` (list of PaymentsPayablesLimit20GetResponsesContentApplicationJsonSchemaDataItems, required)
- `page` (integer, required)
- `count` (integer, required)
- `pages` (integer, required)
- `status` (boolean, required)
- `message` (string, required)
- `keyset` (any, optional)
- `last_id` (any, optional)

## Errors

### 401 Unauthorized Error

The API key is missing or invalid, the key owner is no longer an active member of the organisation, or the key owner is not a member of the workspace in the `identity` header.

- `status` (boolean, required)
- `message` (string, required)
- `error_code` (enum, optional) — Machine-readable reason. Present on 402 and 403 responses.
  - Allowed values: `PERMISSION_DENIED`, `SERVICE_DISABLED`, `OPEN_API_NOT_ENABLED`
- `permission` (string, optional) — The role permission the request needs. Set when `error_code` is `PERMISSION_DENIED`.
- `service` (string, optional) — The workspace service that is turned off. Set when `error_code` is `SERVICE_DISABLED`.

### 402 Payment Required Error

The workspace's subscription plan does not include the Open API.

- `status` (boolean, required)
- `message` (string, required)
- `error_code` (enum, optional) — Machine-readable reason. Present on 402 and 403 responses.
  - Allowed values: `PERMISSION_DENIED`, `SERVICE_DISABLED`, `OPEN_API_NOT_ENABLED`
- `permission` (string, optional) — The role permission the request needs. Set when `error_code` is `PERMISSION_DENIED`.
- `service` (string, optional) — The workspace service that is turned off. Set when `error_code` is `SERVICE_DISABLED`.

### 403 Forbidden Error

Either the key owner's role does not include the permission this endpoint needs (`PERMISSION_DENIED`), or the service this endpoint belongs to is turned off for the workspace (`SERVICE_DISABLED`).

- `status` (boolean, required)
- `message` (string, required)
- `error_code` (enum, optional) — Machine-readable reason. Present on 402 and 403 responses.
  - Allowed values: `PERMISSION_DENIED`, `SERVICE_DISABLED`, `OPEN_API_NOT_ENABLED`
- `permission` (string, optional) — The role permission the request needs. Set when `error_code` is `PERMISSION_DENIED`.
- `service` (string, optional) — The workspace service that is turned off. Set when `error_code` is `SERVICE_DISABLED`.

## Types

### PaymentsPayablesLimit20GetResponsesContentApplicationJsonSchemaDataItems

- `bills` (list of PaymentsPayablesLimit20GetResponsesContentApplicationJsonSchemaDataItemsBillsItems, required)
- `vendor` (PaymentsPayablesLimit20GetResponsesContentApplicationJsonSchemaDataItemsVendor, required)
- `total_due` (string, required)
- `vendor_id` (string, required)
- `currency_code` (string, required)

### PaymentsPayablesLimit20GetResponsesContentApplicationJsonSchemaDataItemsBillsItems

- `id` (string, required)
- `amount` (string, required)
- `status` (string, required)
- `due_date` (datetime, required)
- `bill_date` (datetime, required)
- `account_id` (string, required)
- `created_at` (datetime, required)
- `project_id` (string, required)
- `total_paid` (string, required)
- `adjustments` (list of PaymentsPayablesLimit20GetResponsesContentApplicationJsonSchemaDataItemsBillsItemsAdjustmentsItems, required)
- `currency_code` (string, required)
- `bill_reference` (string, required)
- `journal_status` (string, required)
- `remaining_balance` (string, required)
- `payment_status` (enum, optional) — How far the document has been settled, derived from amount and total_paid. Independent of status, which tracks the document workflow - a sent invoice that is part paid stays SENT with a payment_status of PARTIAL.
  - Allowed values: `UNPAID`, `PARTIAL`, `PAID`

### PaymentsPayablesLimit20GetResponsesContentApplicationJsonSchemaDataItemsVendor

- `id` (string, required)
- `display_name` (string, required)

### PaymentsPayablesLimit20GetResponsesContentApplicationJsonSchemaDataItemsBillsItemsAdjustmentsItems

- `name` (string, required)
- `type` (string, required)
- `value` (string, required) — Decimal value serialized as a string, e.g. "12.50".
- `amount` (string, required) — Decimal value serialized as a string, e.g. "12.50".
- `operation` (string, required)
- `account_id` (string, required)

## Examples

**Response**

```json
{
  "data": [
    {
      "bills": [
        {
          "id": "45c6e26d-e132-4548-8e2e-5bfc467cf94a",
          "amount": "250000.00",
          "status": "POSTED",
          "due_date": "2026-07-18T10:00:00Z",
          "bill_date": "2026-06-18T10:00:00Z",
          "account_id": "d037d299-3029-4dc7-8e72-172f80f23c4f",
          "created_at": "2026-06-18T10:00:00Z",
          "project_id": "spruce-demo",
          "total_paid": "0.00",
          "adjustments": [
            {
              "name": "VAT",
              "type": "PERCENTAGE_RATE",
              "value": "7.50",
              "amount": "37500.00",
              "operation": "ADDITION",
              "account_id": "2b0d1461-e52e-4a1a-a69c-11801431c2c9"
            }
          ],
          "currency_code": "NGN",
          "bill_reference": "BILL-0001",
          "journal_status": "POSTED",
          "remaining_balance": "250000.00"
        }
      ],
      "vendor": {
        "id": "0cb2d1a5-2f50-43a1-8c3f-df06f998ef51",
        "display_name": "Global Softworks"
      },
      "total_due": "250000.00",
      "vendor_id": "0cb2d1a5-2f50-43a1-8c3f-df06f998ef51",
      "currency_code": "NGN"
    }
  ],
  "page": 0,
  "count": 1,
  "pages": 1,
  "status": true,
  "message": "Successfully fetched payables"
}
```

**SDK Code**

```python Payments_Get Payables_example
import requests

url = "https://api.papertracc.com/v1/payments/payables"

querystring = {"limit":"20"}

headers = {"Authorization": "Bearer <apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Payments_Get Payables_example
const url = 'https://api.papertracc.com/v1/payments/payables?limit=20';
const options = {method: 'GET', headers: {Authorization: 'Bearer <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Payments_Get Payables_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.papertracc.com/v1/payments/payables?limit=20"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Payments_Get Payables_example
require 'uri'
require 'net/http'

url = URI("https://api.papertracc.com/v1/payments/payables?limit=20")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <apiKey>'

response = http.request(request)
puts response.read_body
```

```java Payments_Get Payables_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.papertracc.com/v1/payments/payables?limit=20")
  .header("Authorization", "Bearer <apiKey>")
  .asString();
```

```php Payments_Get Payables_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.papertracc.com/v1/payments/payables?limit=20', [
  'headers' => [
    'Authorization' => 'Bearer <apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Payments_Get Payables_example
using RestSharp;

var client = new RestClient("https://api.papertracc.com/v1/payments/payables?limit=20");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Payments_Get Payables_example
import Foundation

let headers = ["Authorization": "Bearer <apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.papertracc.com/v1/payments/payables?limit=20")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```